//  Beispiel 9 "Texteingabe im Terminal-Programm"
//  
//  Unter Verwendung der IoT Brick Library

#include <all_IoT.h>

void setup()
{
  IoT_Init(true);
  IoT_TerminalWaitInit(true);      // Auf Terminalverbindung warten, damit nichts verloren geht
  Serial.println("");
  Serial.print(chr(12));
  Serial.println("Willkommen zum IoT-Brick Terminal-Test" + spc(33) + "(c) 2017");
  Serial.println(repeatstr("-", 79) + chr(13));
  Serial.println("Geben Sie 'ende' oder 'quit' ein, um dieses Beispiel zu beenden.");
  Serial.println("");
}

void loop()
{
  String s = t_TerminalInput ("Bitte einen Text eingeben: ", 50, t_Input_String);
  Serial.println("");
  Serial.println("");
  Serial.print("Ihre Eingabe war " + chr(34) + s + chr(34));
  Serial.println(" und besteht aus " + str(len(s)) + " Zeichen.");
  Serial.println("");
  Serial.print("Der Fliesskommawert des Textes ist = ");
  Serial.print(strrealform(realval(s), 32, 1, 9, false, true));
  Serial.print(" (");
  Serial.print(".toFloat = ");
  Serial.print(s.toFloat());
  Serial.println(")");
  Serial.print("Die crc64-Pruefsumme (hash-Wert) des Textes ist = ");
  Serial.println(hex(crc64(s, 0)));
  Serial.print("Die xorshift128plus-Pruefsumme (hash-Wert) des Textes ist = ");
  Serial.println(hex(xorshift128plus(s, 0)));
  Serial.println("");
  if ((lcase(s) == "ende") || (lcase(s) == "quit"))
  {
    IoT_ShutDown(); // Display ausschalten und Bearbeitung beenden
  }
}

